Bug 53351 - Sawfish does not startup properly in RC2
Summary: Sawfish does not startup properly in RC2
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: sawfish (Show other bugs)
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-07 03:57 UTC by Todd Nemanich
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-26 16:14:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of running sawfish after startup fails (39.70 KB, text/plain)
2001-09-07 03:58 UTC, Todd Nemanich
no flags Details
.xsession-errors file from attempted sawfish startup. (937 bytes, text/plain)
2001-09-07 04:00 UTC, Todd Nemanich
no flags Details

Description Todd Nemanich 2001-09-07 03:57:24 UTC
Description of Problem:
When logging in, Sawfish does not start up. In .xsession-errors, the
following error shows up:

error--> (premature-end-of-stream #<file *unbound*>)


Version-Release number of selected component (if applicable):
RC2, sawfish-0.38-9

How Reproducible:
Occurs for both users existing before the upgrade and for newly created users

Steps to Reproduce:
1. set runlevel 5
2. login
3. 

Actual Results:
Sawfish does not start up

Expected Results:
Sawfish should have started.

Additional Information:
Window manager previously was enlightenment.

Comment 1 Todd Nemanich 2001-09-07 03:58:49 UTC
Created attachment 31194 [details]
strace of running sawfish after startup fails

Comment 2 Todd Nemanich 2001-09-07 04:00:47 UTC
Created attachment 31195 [details]
.xsession-errors file from attempted sawfish startup.

Comment 3 Havoc Pennington 2002-02-26 02:13:04 UTC
I haven't seen any other reports of this; did you ever track it down?
Otherwise I'll probably assume it's gone away in recent Sawfish versions.

Comment 4 Todd Nemanich 2002-02-26 16:14:28 UTC
I have not been able to replicate this later, so this can probably be closed.
This was fixed with the final release of 7.2.

Comment 5 Havoc Pennington 2002-02-26 16:22:18 UTC
Thanks for the response, glad it was fixed.


Note You need to log in before you can comment on or make changes to this bug.